pydo.nfs.list_snapshot()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.nfs.list_snapshot(region=None, share_id=None)
Returns JSONRaises HttpResponseError

Description

To list all NFS snapshots, send a GET request to /v2/nfs/snapshots?region=${region}&share_id={share_id}.

A successful request will return all NFS snapshots belonging to the authenticated user in the specified region.

Optionally, you can filter snapshots by a specific NFS share by including the share_id query parameter.

Parameters

region string optional

The DigitalOcean region slug (e.g., nyc2, atl1) where the NFS share resides.

share_id string optional

The unique ID of an NFS share. If provided, only snapshots of this specific share will be returned.

Response Example

Show Response Example
{
  "snapshots": [
    {
      "id": "0a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
      "name": "daily-backup",
      "size_gib": 1024,
      "region": "atl1",
      "status": "CREATING",
      "created_at": "2023-11-14T16:29:21Z",
      "share_id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
    }
  ]
}

More Information

See /v2/nfs/snapshots in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.